summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-07-03 16:58:48 +0000
committerJim Meyering <jim@meyering.net>2005-07-03 16:58:48 +0000
commit3e7b6a68b55acef8734c682522aecbaaa3b0c900 (patch)
treedbdd7823db1e8feb905eaa627d8318b4055e03ee /tests/mv
parent98ce09d7d298a0af89da8698612846d15fb5a3ea (diff)
downloadcoreutils-3e7b6a68b55acef8734c682522aecbaaa3b0c900.tar.xz
Adjust for new diagnostic.
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/reply-no10
1 files changed, 6 insertions, 4 deletions
diff --git a/tests/mv/reply-no b/tests/mv/reply-no
index 337545f75..7ac7f996c 100755
--- a/tests/mv/reply-no
+++ b/tests/mv/reply-no
@@ -29,9 +29,11 @@ mv --interactive --reply=no a b > out 2>&1 || fail=1
test -f a || fail=1
test -f b || fail=1
-# Expect no output.
-touch exp
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+cat <<EOF > exp_err
+mv: the --reply option is deprecated; use -i or -f instead
+EOF
+
+cmp out exp_err || fail=1
+test $fail = 1 && diff out exp_err 2> /dev/null
(exit $fail); exit $fail